﻿//Written by Charlie Bickett
//Copyright (c) 2018-2024 Charlie Bickett
//Commissioned by Jan Animations.

//   _____ _                  _______ _                           
//  / ____| |                |__   __| |                          
// | |    | |__   __ _  ___  ___| |  | |__   ___  ___  _ __ _   _ 
// | |    | '_ \ / _` |/ _ \/ __| |  | '_ \ / _ \/ _ \| '__| | | |
// | |____| | | | (_| | (_) \__ \ |  | | | |  __/ (_) | |  | |_| |
//  \_____|_| |_|\__,_|\___/|___/_|  |_| |_|\___|\___/|_|   \__, |
//                                                           __/ |
//                                                          |___/ 

// Version 1.3.1b

(function() {
    var pluginName = 'ChaosTheory';
    var pluginVersion = '1.3.1b';
    var pluginRestartRequired = true;

    var programVersion = fl.version[4] + fl.version[5];
    var programName = (programVersion>=12) ? "Animate" : "Flash";

    var restartMessage = pluginRestartRequired ? " Restarting " + programName + " will be required after this process." : "";

    var userChoice = confirm("Would you like to install the " + pluginName + " V. " + pluginVersion + "?" + restartMessage + " Click 'Cancel' to uninstall instead.");

    var filesList = ['chaos.jsfl','ChaosTheory.swf'];

    var filesPath = fl.scriptURI.replace('INSTALL.jsfl','PAYLOAD/');
    var installPath = fl.configURI + "WindowSWF/";

    if (userChoice) {

        // Force an uninstall first

        for (var i = 0; i < filesList.length; i++) {
            var filePathToRemove = installPath + filesList[i];
            if (FLfile.exists(filePathToRemove)) {
                FLfile.remove(filePathToRemove);
            }
        }

        // Install
        for (var i = 0; i < filesList.length; i++) {
            var sourcePath = filesPath + filesList[i];
            var destPath = installPath + filesList[i];

            FLfile.copy(sourcePath, destPath);
        }

        if(pluginRestartRequired){
            alert('Installation successful! Please Restart ' + programName + '.');
        }
    } else {
        // Uninstall
        for (var i = 0; i < filesList.length; i++) {
            var filePathToRemove = installPath + filesList[i];
            if (FLfile.exists(filePathToRemove)) {
                FLfile.remove(filePathToRemove);
            }
        }

        if(pluginRestartRequired){
            alert('Uninstallation successful! Please Restart ' + programName + '.');
        }
    }
})();
